##################################################
#
# Get information on solar eclipse
# Command line argument m specified month number.
#
# Example usage (for March eclipse):
#
# python Altitude.py -m 3 
#
#################################################

import numpy as np
import matplotlib.pyplot as plt
import argparse
import sys

#############################
# Set up command line options
#############################
parser = argparse.ArgumentParser()
parser.add_argument('-m', type = int, default = 1, help = 'month number')

###########################
# Read command line options
###########################
args = parser.parse_args()
m    = args.m

############
# Test input
############
if m < 1 or m > 12:
    print 'Error: m must lie between 1 and 12'
    sys.exit(1)

#####################    
# Construct filenames
#####################
GeneralFiles = ['Output/Jan/General.out',   'Output/Feb/General.out',   'Output/Mar/General.out',   'Output/Apr/General.out',
                'Output/May/General.out',   'Output/Jun/General.out',   'Output/Jul/General.out',   'Output/Aug/General.out',
                'Output/Sep/General.out',   'Output/Oct/General.out',   'Output/Nov/General.out',   'Output/Dec/General.out']
GeneralFile = GeneralFiles[m-1]
BesselFiles = ['Output/Jan/Bessel.out',   'Output/Feb/Bessel.out',   'Output/Mar/Bessel.out',   'Output/Apr/Bessel.out',
               'Output/May/Bessel.out',   'Output/Jun/Bessel.out',   'Output/Jul/Bessel.out',   'Output/Aug/Bessel.out',
               'Output/Sep/Bessel.out',   'Output/Oct/Bessel.out',   'Output/Nov/Bessel.out',   'Output/Dec/Bessel.out']
BesselFile = BesselFiles[m-1]

########################
# Output eclipse data
########################
infile = open (GeneralFile, 'r')
contents = infile.read ()
print ("")
print (contents)
infile = open (BesselFile, 'r')
contents = infile.read ()
print (contents)
 
