// Main.cpp

// ########################################################################################
// Program to calculate details of solar eclipses in given year.
// Program employs VSOP87 model of planetary motion, and ELP2000-82B model of lunar motion.
// ########################################################################################

#include "Eclipse.h"

// #############
// Main function
//##############

int main ()
{
  // Output welcome message
  printf ("\n");
  printf ("========================================================================================\n");
  printf ("Program to calculate details of solar eclipses in given year.\n");
  printf ("Program employs VSOP87 model of planetary motion, and ELP2000-82B model of lunar motion.\n");
  printf ("========================================================================================\n");

  // Select year
  printf ("\n");
  printf ("Select year (YYYY) ");
  int Y;
  if (scanf ("%d", &Y) != 1)
    {
      printf ("Fatal Error: Cannot read year number\n");
      exit (1);
    }

  // Determine dates of new moons in given year,
  // and test for solar eclipses
  NewMoon (Y);
}
