// ##############################
// Fundamental physical constants
// ##############################

#define J2000  2451545.       // Julian day number of J2000.0 epoch
#define day    86400.         // Length of day in seconds
#define Jcent  36525.         // Length of Julian century in days
#define Jmill  365250.        // Length of Julian millenium in days
#define AU     149597870610.  // Astronomical unit (meters)
#define Re     6.37814e6      // Earth equatorial radius (meters)
#define Rs     1.09076e2      // Solar radius in units of Earth equatorial radius
#define k1     0.2725076      // Lunar radius in units of Earth equatorial radius for penumbral width calculation
#define k2     0.2722810      // Lunar radius in units of Earth equatorial radius for umbral width calculation
#define fe     (1./298.257)   // Flattening factor of Earth
#define Abr    0.0057755183   // Constant of abberation
