// ###########################################
// Prototypes for frame of reference functions
// ###########################################

#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include "Time.h"
#include "File.h"

// Function to correct for precession of equinox
void Precession (double t, double& B, double& L);

// Function to caluclate obliquity of ecliptic
void Obliquity (double t, double& eps);

// Function to calculate nutation in longitude
void NutationLongitude (double t, double& Dpsi);

// Function to calculate nutation in obliquity
void NutationObliquity (double t, double& Deps);

// Function to transform into FK5 system
void FK5Correction (double t, double& L, double& B);
